﻿$ErrorActionPreference = 'Stop';

$packageName= 'STARFACE_UCC_Client_for_Windows_v6.7.3.81'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'exe'
  url           = 'https://www.starface-cdn.de/starface/clients/Windows/6.7.3.x/6.7.3.81/STARFACE_UCC_Client_for_Windows_v6.7.3.81.exe'

  softwareName  = 'Starface UCC'

  checksum      = '7D130DEB46A8ABFB07A3D404369F842E1958DD67243EFD69CB36B448E18756A3'
  checksumType  = 'sha256'

  silentArgs    = "/i /qn"
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs